/*
 * screen size
 */
#define SCREEN_WIDTH    128
#define SCREEN_HEIGHT   64

/*
 * touch panel is connected to :
 *
 * RA0 : Y-
 * RA1 : X-
 * RA2 : Y+
 * RA3 : X+
 *
 * just give port letter and bit field,
 * compiler builds port and tris register names.
 *
 * for example, if Y- plate is connected to RA0, declare :
#define TS_YM   A.F0
 * TRIS bit will be TRISA.F0 and PORT bit will be PORTA.F0
 *
 */
#define TS_YM   A.F0            // Y- plate
#define TS_XM   A.F1            // X- plate
#define TS_YP   A.F2            // Y+ plate
#define TS_XP   A.F3            // X+ plate

/*
 * analog inputs : PIC ADC channel number
 */
#define TS_ADCYM        0       // Y- plate
#define TS_ADCXM        1       // X- plate
#define TS_ADCYP        2       // Y+ plate
#define TS_ADCXP        3       // X+ plate

/*
 * minimum ADC level to consider screen is touched
 */
#define TS_UNTOUCHED    20
