/*
 * timelib.h
 *
 * time library for PICs
 */
 
/*
 * some constants
 */
#define Time_secInMn    60                      // seconds per minute
#define Time_secInH     (Time_secInMn * 60)     // seconds per hour
#define Time_secIn24h   (Time_secInH * 24)      // seconds per day

/*
 * macro definitions
 */
/*
 * compares two dates
 * returns the number of seconds between t1 and t2
 * result is positive if t2 > t1
 */
#define Time_Delta(t1, t2)      (Time_timeToEpoch(t1) - Time_timeToEpoch(t2))

/*
 * simple time structure
 */
typedef struct
        {
        unsigned char   ss ;    // seconds
        unsigned char   mn ;    // minutes
        unsigned char   hh ;    // hours
        unsigned char   md ;    // day in month, from 1 to 31
        unsigned char   wd ;    // day in week, monday=0, tuesday=1, .... sunday=6
        unsigned char   mo ;    // month number, from 1 to 12 (and not from 0 to 11 as with unix C time !)
        unsigned int    yy ;    // year Y2K compliant, from 1892 to 2038
        } TimeStruct ;

/*
 * public functions
 */
long    Time_dateToEpoch(TimeStruct *ts) ;
void    Time_epochToDate(long e, TimeStruct *ts) ;

